<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">Registrar Bodega</h4>
        </div>
        <div class="card-body">
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="id" class="control-label">Código</label>
                    <input
                      type="text"
                      class="form-control"
                      formControlName="id"
                      placeholder="Código"
                    />
                  </div>
                </div>

                <div class="col-md-8 pr-1">
                  <div class="form-group">
                    <label for="nombreBodega" class="control-label"
                      >Nombre bodega</label
                    >
                    <input
                      type="text"
                      class="form-control"
                      formControlName="nombreBodega"
                      placeholder=""
                    />
                  </div>
                </div>

                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="ciudad" class="control-label"
                      >Ciudad</label
                    >
                    <mat-select class="form-control"  formControlName="idComuna" >
                      <mat-option                       
                        *ngFor="let ciudad of ciudades"
                        [value]="ciudad.id"
                        ngDefaultControl 
                        >{{ ciudad.nombreComuna }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>

                <div class="col-md-12 pr-1">
                  <div class="form-group">
                    <label for="direccion" class="control-label"
                      >Dirección</label
                    >
                    <input
                      type="text"
                      class="form-control"
                      formControlName="direccion"
                      placeholder="Dirección"
                    />
                  </div>
                </div>
                 <br />
                <br />
                <div class="col-md-4 px-10">
                  <div class="form-group">
                    <br />
                    <button
                      class="login100-form-btn"
                      type="submit"
                      [disabled]="!formIngreso.valid"
                    >
                      Ingresar
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
      <div class="col-md-12">
        <div class="card card-plain">
          <div class="card-header">
            <h4 class="card-title">Bodegas Registradas</h4>
          </div>
          <div class="card-body">
            <div class="table-hover table-striped">
              <table class="table">
                <thead class="text-primary">
                  <th>Código</th>
                  <th>Nombre Bodega</th>
                  <th>Dirección</th>
                  <th>Comuna</th>                  
                  <th class="text-center">Opciones</th>
                </thead>
                <tbody>
                  <tr *ngFor="let bodega of bodegas ">
                    <td scope="row">{{ bodega.id }}</td>
                    <td>{{ bodega.nombreBodega | titlecase }}</td>                    
                    <td>{{ bodega.direccion | titlecase }}</td>
                    <td>{{ bodega.comunas.nombreComuna }}</td>
                    <td class="text-center">
                      <button
                        mat-raised-button
                        color="primary"
                        style="margin: 10px"
                        [routerLink]="[
                          '/ingresar-bodega/editar-bodega',
                          bodega.id
                        ]"
                      >
                        Editar
                      </button>

                      <button
                        mat-raised-button
                        color="warn"
                        (click)="eliminarBodega(bodega)"
                      >
                        Eliminar
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

            <mat-paginator
              [length]="totalRegistros"
              [pageSize]="totalPorPagina"
              [pageIndex]="paginaActual"
              [pageSizeOptions]="pageSizeOptions"
              (page)="paginar($event)"
              showFirstLastButtons
              class="mx-2"
            >
            </mat-paginator>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
